// Copyright (C) 2001 - 2002 - R.Coisson & G. Vernizzi, Parma University
// Copyright (C) X. K. Yang
// Copyright (C) N. Strelkov
// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GPL Version 2
// http://www.gnu.org/licenses/gpl-2.0.html

function [x,y] = mathieu_ell2cart(u,v,c) 
    //this program transforms a point from cartesian to elliptical coordinates
    //v coordinates are the asymptotic angle of confocal hyperbolic cylinders symmetrical
    //about the x-axis. [0,2pi)
    //u coordinates are confocal elliptic cylinders centered on the origin.[0,inf)  
    //c is the distance between the foci and the origin.
    //x,y the cartesian coordiantes along the x and y axises, they are both matrices when u and v are vectors.

    x=c*cosh(u)'*cos(v);
    y=c*sinh(u)'*sin(v);
endfunction
