// Copyright (C) 2001 - 2002 - R.Coisson & G. Vernizzi, Parma University
// Copyright (C) X. K. Yang
// Copyright (C) N. Strelkov
// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GPL Version 2
// http://www.gnu.org/licenses/gpl-2.0.html

function [z,x,y] = mathieu_ellipse(a,b,q,c) 
    // mathieu_ellipse.sci
    // 3D plot of a mode with elliptical boundary conditions
    //[x,y,z]=mathieu_ellipse(nrad, nang,q,semifocal);
    v=0:0.05:2*%pi+0.05;
    u0=0:0.01:3.5;
    f0=mathieu_mathieu("Ce",a,u0,q)>0;
    f0=bool2s(f0);
    sol=u0(find(diff(f0)~=0));
    u=0:0.01:sol(a);
    ellitticita=(1-tanh(sol(a)))/(1+tanh(sol(a)));
    f=mathieu_mathieu("Ce",a,u,q);
    g=mathieu_mathieu("ce",b,v,q);
    [x,y]=mathieu_ell2cart(u,v,c);
    z = (10*f)*g';
    xset("colormap",jetcolormap(32));			//set the colormap
    surf(x,y,z,"facecol","interp");				//(arbitrary scaling for z)
    e=gce();
    e.color_mode=-1;							//set the color mode, vanish the mesh
    set(gca(),"isoview","on");					//set the axises x and y equal
    set(gca(),"grid",[1,1]);
    set(gca(),"rotation_angles",[10,-125]);
    e.color_flag=3;								//interpolate the facet, to make the surface prettier
endfunction
